## MetaGroup MetaGroup — Mutter window groups |

## Functions

MetaGroup * | meta_window_get_group ()
void | meta_window_compute_group ()
void | meta_window_shutdown_group ()
void | meta_window_group_leader_changed ()
MetaGroup * | meta_display_lookup_group ()
GSList * | meta_group_list_windows ()
void | meta_group_update_layers ()
const char * | meta_group_get_startup_id ()
int | meta_group_get_size ()
gboolean | meta_group_property_notify ()

## Types and Values

| MetaGroup

## Description

## Functions

### meta_window_get_group ()

    MetaGroup *
    meta_window_get_group (MetaWindow *window);

[skip]

#### Parameters

window | a MetaWindow |

### meta_window_compute_group ()

    void
    meta_window_compute_group (MetaWindow *window);

### meta_window_shutdown_group ()

    void
    meta_window_shutdown_group (MetaWindow *window);

### meta_window_group_leader_changed ()

    void
    meta_window_group_leader_changed (MetaWindow *window);

### meta_display_lookup_group ()

    MetaGroup *
    meta_display_lookup_group (MetaDisplay *display,
                               Window group_leader);

[skip]

#### Parameters

display | a MetaDisplay |
group_leader | a X window |

### meta_group_list_windows ()

    GSList *
    meta_group_list_windows (MetaGroup *group);

#### Parameters

group | A MetaGroup |

#### Returns

List of windows.

[transfer container][element-type Meta.Window]

### meta_group_update_layers ()

    void
    meta_group_update_layers (MetaGroup *group);

### meta_group_get_startup_id ()

    const char *
    meta_group_get_startup_id (MetaGroup *group);

### meta_group_get_size ()

    int
    meta_group_get_size (MetaGroup *group);

### meta_group_property_notify ()

    gboolean
    meta_group_property_notify (MetaGroup *group,
                                XEvent *event);

[skip]

#### Parameters

group | a MetaGroup |
event | a X event |

## Types and Values

### MetaGroup

    typedef struct _MetaGroup MetaGroup;